/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseAdapter, IBaseAdapter } from '../../core/base/base-adapter';
import { IListItemComponent } from '../list-item';
import { IListComponent } from './list';
export interface IListAdapter extends IBaseAdapter<IListComponent> {
    initializeAccessibility(): void;
    addListener(type: string, listener: (evt: Event) => void): void;
    removeListener(type: string, listener: (evt: Event) => void): void;
    focusNextListItem(): void;
    focusPreviousListItem(): void;
    focusFirstListItem(): void;
    focusLastListItem(): void;
    setSelectedListItems(values: any[]): void;
    updateListItems(cb: (li: IListItemComponent) => void): void;
}
/**
 * The DOM adapter for the `<forge-list>` component.
 */
export declare class ListAdapter extends BaseAdapter<IListComponent> implements IListAdapter {
    constructor(component: IListComponent);
    initializeAccessibility(): void;
    /**
     * Adds an event listener to the `<forge-list>` host element.
     * @param {string} type The event type.
     * @param {Function} listener The event callback.
     */
    addListener(type: string, listener: (evt: Event) => void): void;
    /**
     * Removes an event listener to the `<forge-list>` host element.
     * @param {string} type The event type.
     * @param {Function} listener The event callback.
     */
    removeListener(type: string, listener: (evt: Event) => void): void;
    /**
     * Sets focus to the next item in the list.
     */
    focusNextListItem(): void;
    /**
     * Sets focus to the previous item in the list.
     */
    focusPreviousListItem(): void;
    /**
     * Sets focus to the first item in the list.
     */
    focusFirstListItem(): void;
    /**
     * Sets focus to the last item in the list.
     */
    focusLastListItem(): void;
    setSelectedListItems(values: any[]): void;
    updateListItems(cb: (li: IListItemComponent) => void): void;
    private _getOwnListItems;
}
